EX=b"""{
  "type": "minecraft:block",
  "pools": [
    {
      "bonus_rolls": 0.0,
      "entries": [
        {
          "type": "minecraft:item",
          "functions": [{"function": "minecraft:explosion_decay"}],
          "name": "regedt32:cntrafficsymbols/%s"
        }
      ],
      "rolls": 1.0
    }
  ],
  "random_sequence": "regedt32:cntrafficsymbols/%s"
}
""".replace(b"\n",b"\r\n")
BLOCKS=b"""\
white_half1_cylindrical_rod
orange_half1_cylindrical_rod
magenta_half1_cylindrical_rod
light_blue_half1_cylindrical_rod
yellow_half1_cylindrical_rod
lime_half1_cylindrical_rod
pink_half1_cylindrical_rod
gray_half1_cylindrical_rod
light_gray_half1_cylindrical_rod
cyan_half1_cylindrical_rod
purple_half1_cylindrical_rod
blue_half1_cylindrical_rod
brown_half1_cylindrical_rod
green_half1_cylindrical_rod
red_half1_cylindrical_rod
black_half1_cylindrical_rod
white_full1_cylindrical_rod
orange_full1_cylindrical_rod
magenta_full1_cylindrical_rod
light_blue_full1_cylindrical_rod
yellow_full1_cylindrical_rod
lime_full1_cylindrical_rod
pink_full1_cylindrical_rod
gray_full1_cylindrical_rod
light_gray_full1_cylindrical_rod
cyan_full1_cylindrical_rod
purple_full1_cylindrical_rod
blue_full1_cylindrical_rod
brown_full1_cylindrical_rod
green_full1_cylindrical_rod
red_full1_cylindrical_rod
black_full1_cylindrical_rod
white_dotted4_tp
orange_dotted4_tp
magenta_dotted4_tp
light_blue_dotted4_tp
yellow_dotted4_tp
lime_dotted4_tp
pink_dotted4_tp
gray_dotted4_tp
light_gray_dotted4_tp
cyan_dotted4_tp
purple_dotted4_tp
blue_dotted4_tp
brown_dotted4_tp
green_dotted4_tp
red_dotted4_tp
black_dotted4_tp
white_dotted5_tp
orange_dotted5_tp
magenta_dotted5_tp
light_blue_dotted5_tp
yellow_dotted5_tp
lime_dotted5_tp
pink_dotted5_tp
gray_dotted5_tp
light_gray_dotted5_tp
cyan_dotted5_tp
purple_dotted5_tp
blue_dotted5_tp
brown_dotted5_tp
green_dotted5_tp
red_dotted5_tp
black_dotted5_tp
white_dotted6_tp
orange_dotted6_tp
magenta_dotted6_tp
light_blue_dotted6_tp
yellow_dotted6_tp
lime_dotted6_tp
pink_dotted6_tp
gray_dotted6_tp
light_gray_dotted6_tp
cyan_dotted6_tp
purple_dotted6_tp
blue_dotted6_tp
brown_dotted6_tp
green_dotted6_tp
red_dotted6_tp
black_dotted6_tp
white_dotted7_tp
orange_dotted7_tp
magenta_dotted7_tp
light_blue_dotted7_tp
yellow_dotted7_tp
lime_dotted7_tp
pink_dotted7_tp
gray_dotted7_tp
light_gray_dotted7_tp
cyan_dotted7_tp
purple_dotted7_tp
blue_dotted7_tp
brown_dotted7_tp
green_dotted7_tp
red_dotted7_tp
black_dotted7_tp
white_dotted8_tp
orange_dotted8_tp
magenta_dotted8_tp
light_blue_dotted8_tp
yellow_dotted8_tp
lime_dotted8_tp
pink_dotted8_tp
gray_dotted8_tp
light_gray_dotted8_tp
cyan_dotted8_tp
purple_dotted8_tp
blue_dotted8_tp
brown_dotted8_tp
green_dotted8_tp
red_dotted8_tp
black_dotted8_tp
white_dotted9_tp
orange_dotted9_tp
magenta_dotted9_tp
light_blue_dotted9_tp
yellow_dotted9_tp
lime_dotted9_tp
pink_dotted9_tp
gray_dotted9_tp
light_gray_dotted9_tp
cyan_dotted9_tp
purple_dotted9_tp
blue_dotted9_tp
brown_dotted9_tp
green_dotted9_tp
red_dotted9_tp
black_dotted9_tp
white_dotted10_tp
orange_dotted10_tp
magenta_dotted10_tp
light_blue_dotted10_tp
yellow_dotted10_tp
lime_dotted10_tp
pink_dotted10_tp
gray_dotted10_tp
light_gray_dotted10_tp
cyan_dotted10_tp
purple_dotted10_tp
blue_dotted10_tp
brown_dotted10_tp
green_dotted10_tp
red_dotted10_tp
black_dotted10_tp
white_lined4_tp
orange_lined4_tp
magenta_lined4_tp
light_blue_lined4_tp
yellow_lined4_tp
lime_lined4_tp
pink_lined4_tp
gray_lined4_tp
light_gray_lined4_tp
cyan_lined4_tp
purple_lined4_tp
blue_lined4_tp
brown_lined4_tp
green_lined4_tp
red_lined4_tp
black_lined4_tp
white_lined5_tp
orange_lined5_tp
magenta_lined5_tp
light_blue_lined5_tp
yellow_lined5_tp
lime_lined5_tp
pink_lined5_tp
gray_lined5_tp
light_gray_lined5_tp
cyan_lined5_tp
purple_lined5_tp
blue_lined5_tp
brown_lined5_tp
green_lined5_tp
red_lined5_tp
black_lined5_tp
white_lined6_tp
orange_lined6_tp
magenta_lined6_tp
light_blue_lined6_tp
yellow_lined6_tp
lime_lined6_tp
pink_lined6_tp
gray_lined6_tp
light_gray_lined6_tp
cyan_lined6_tp
purple_lined6_tp
blue_lined6_tp
brown_lined6_tp
green_lined6_tp
red_lined6_tp
black_lined6_tp
white_lined7_tp
orange_lined7_tp
magenta_lined7_tp
light_blue_lined7_tp
yellow_lined7_tp
lime_lined7_tp
pink_lined7_tp
gray_lined7_tp
light_gray_lined7_tp
cyan_lined7_tp
purple_lined7_tp
blue_lined7_tp
brown_lined7_tp
green_lined7_tp
red_lined7_tp
black_lined7_tp
white_lined8_tp
orange_lined8_tp
magenta_lined8_tp
light_blue_lined8_tp
yellow_lined8_tp
lime_lined8_tp
pink_lined8_tp
gray_lined8_tp
light_gray_lined8_tp
cyan_lined8_tp
purple_lined8_tp
blue_lined8_tp
brown_lined8_tp
green_lined8_tp
red_lined8_tp
black_lined8_tp
white_lined9_tp
orange_lined9_tp
magenta_lined9_tp
light_blue_lined9_tp
yellow_lined9_tp
lime_lined9_tp
pink_lined9_tp
gray_lined9_tp
light_gray_lined9_tp
cyan_lined9_tp
purple_lined9_tp
blue_lined9_tp
brown_lined9_tp
green_lined9_tp
red_lined9_tp
black_lined9_tp
white_lined10_tp
orange_lined10_tp
magenta_lined10_tp
light_blue_lined10_tp
yellow_lined10_tp
lime_lined10_tp
pink_lined10_tp
gray_lined10_tp
light_gray_lined10_tp
cyan_lined10_tp
purple_lined10_tp
blue_lined10_tp
brown_lined10_tp
green_lined10_tp
red_lined10_tp
black_lined10_tp""".split(b"\n")
for i in BLOCKS:
 with open(f"{i.decode()}.json","wb")as f:f.write(EX%(i,i))
